Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055800 - Review Request: test-interface - uniform interface to Scala testing frameworks
Summary: Review Request: test-interface - uniform interface to Scala testing frameworks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: sbt-package
TreeView+ depends on / blocked
 
Reported: 2014-01-21 00:14 UTC by Will Benton
Modified: 2014-02-09 03:52 UTC (History)
3 users (show)

Fixed In Version: test-interface-1.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-31 04:22:51 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Will Benton 2014-01-21 00:14:08 UTC
Spec URL: http://freevariable.com/sbt/test-interface.spec
SRPM URL: http://freevariable.com/sbt/test-interface-1.0-1.fc19.src.rpm
Description: uniform interface to Scala testing frameworks
Fedora Account System Username: willb

Comment 1 Will Benton 2014-01-21 18:20:09 UTC
Updated to build without sbt to avoid circular dependencies (thanks, Gil, for the suggestion and spec file patch).

Spec URL: http://freevariable.com/sbt/test-interface.spec
SRPM URL: http://freevariable.com/sbt/test-interface-1.0-2.fc19.src.rpm
Description: uniform interface to Scala testing frameworks
Fedora Account System Username: willb

Comment 2 gil cattaneo 2014-01-21 20:21:41 UTC
some issues:

%install
please remove (unnecessary)
rm -rf %{buildroot}

%package javadoc
please remove (unnecessary)
Group:          Documentation
Summary:        Javadoc for %{name}
please remove (unnecessary)
BuildArch:	noarch

please add LICENSE copy
%files javadoc
%{_javadocdir}/%{name}

please use -p parameter (preserve timestamp)
cp target/%{name}-%{version}.jar %{buildroot}/%{_javadir}/%{name}.jar
cp target/%{name}-%{version}.pom %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom

suggestion, should better use: install -pm 644

Comment 3 Will Benton 2014-01-21 21:41:41 UTC
I've updated the package in place to fix these.  Thanks!

Comment 4 gil cattaneo 2014-01-21 21:55:42 UTC
i finish now the review ...could take the place of Tim?

Comment 5 Timothy St. Clair 2014-01-21 21:59:02 UTC
It's all your gil if you want it.

Comment 6 gil cattaneo 2014-01-21 22:02:26 UTC
(In reply to Timothy St. Clair from comment #5)
> It's all your gil if you want it.

Thanks!

see a little problem:
%javadoc -d target/api -classpath $PWD/target/%{name}.jar $(find src/main/java -name "*.java")

mea culpa

should be 
%javadoc -d target/api -classpath $PWD/target/%{name}-%{version}.jar $(find src/main/java -name "*.java")

but -classpath $PWD/target/%{name}-%{version}.jar seem unnecessary

Comment 7 gil cattaneo 2014-01-21 22:05:04 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 29 files have unknown license. Detailed output of
     licensecheck in /home/gil/1055800-test-interface/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in test-
     interface-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: test-interface-1.0-2.fc21.noarch.rpm
          test-interface-javadoc-1.0-2.fc21.noarch.rpm
          test-interface-1.0-2.fc21.src.rpm
test-interface.noarch: W: summary-not-capitalized C uniform interface to Scala and Java test frameworks
test-interface.src: W: summary-not-capitalized C uniform interface to Scala and Java test frameworks
test-interface.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 13)
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint test-interface test-interface-javadoc
test-interface.noarch: W: summary-not-capitalized C uniform interface to Scala and Java test frameworks
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
test-interface (rpmlib, GLIBC filtered):
    javapackages-tools
    jpackage-utils

test-interface-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
test-interface:
    mvn(org.scala-sbt:test-interface)
    test-interface

test-interface-javadoc:
    test-interface-javadoc



Source checksums
----------------
https://github.com/sbt/test-interface/archive/v1.0.tar.gz :
  CHECKSUM(SHA256) this package     : dcb96a4905b1671db1e462435b9d58d984258d26b826d31076fcb43166541a53
  CHECKSUM(SHA256) upstream package : dcb96a4905b1671db1e462435b9d58d984258d26b826d31076fcb43166541a53
http://mirrors.ibiblio.org/maven2/org/scala-sbt/test-interface/1.0/test-interface-1.0.pom :
  CHECKSUM(SHA256) this package     : 61ba06a9d0c226e10f048004fcebfb300fdd9b077d05ed502e9875324c8b762e
  CHECKSUM(SHA256) upstream package : 61ba06a9d0c226e10f048004fcebfb300fdd9b077d05ed502e9875324c8b762e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1055800 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 8 gil cattaneo 2014-01-21 22:06:00 UTC
APPROVED

please fix @ import time
test-interface.noarch: W: summary-not-capitalized C uniform interface to Scala and Java test frameworks

Comment 9 Will Benton 2014-01-21 22:25:31 UTC
Thanks, Gil!

Comment 10 Will Benton 2014-01-21 22:26:27 UTC
New Package SCM Request
=======================
Package Name: test-interface
Short Description: Uniform interface to Scala/Java testing frameworks
Owners: willb
Branches: f20

Comment 11 Gwyn Ciesla 2014-01-22 12:58:58 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2014-01-22 14:30:43 UTC
test-interface-1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/test-interface-1.0-2.fc20

Comment 13 Fedora Update System 2014-01-23 11:13:59 UTC
test-interface-1.0-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 14 Fedora Update System 2014-01-30 23:09:59 UTC
test-interface-1.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/test-interface-1.0-3.fc20

Comment 15 Fedora Update System 2014-01-31 04:22:51 UTC
test-interface-1.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2014-02-09 03:52:46 UTC
test-interface-1.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.